Class | ActionController::RequestProfiler
In: | lib/action_controller/request_profiler.rb
Parent: | Object

### Methods

benchmark default_options load_ruby_prof new parse_options profile run run show_profile_results warmup

### Classes and Modules

Class ActionController::RequestProfiler::Sandbox

### Attributes

options | [R] |

### Public Class methods

new(options = {})
run(args = nil, options = {})

### Public Instance methods

benchmark(sandbox, profiling = false)
default_options()
parse_options(args)

Parse command-line options

profile(sandbox)
run()
warmup(sandbox)

### Protected Instance methods

load_ruby_prof()
show_profile_results(results)

[Validate]